Subject: Re: Error: Unable to append to logs/HEAD: Permission denied

From: Michael J Gruber <[email-masked]>
Date: Mon, 17 May 2010 11:02:27 +0200

git_user101 venit, vidit, dixit 17.05.2010 10:17:
> 
> yes!
> This is about a shared repository that is allowed to be accessed by its
> owner and group.
> The group consists of some machine users.
> Users have different accounts and modify the git-repository by own account.
> 

Then you might want to read up on core.sharedRepository in git config's
man page and set it according to your situation (all users in the same
group, e.g.). Also, you'll have to fix-up permissions manually at least
on logs/HEAD (and probably others).

Cheers,
Michael